INSTALL(1)

NOMBRE
install - copia ficheros y establece sus atributos

SINOPSIS
install [OPCIÓN]... [-T] ORIGEN DESTINO
install [OPCIÓN]... ORIGEN... DIRECTORIO
install [OPCIÓN]... -t DIRECTORIO ORIGEN...
install [OPCIÓN]... -d DIRECTORIO...

DESCRIPCIÓN

Este programa install copia los ficheros (a menudo recién compilados) al destino elegido. Si quiere descargar e instalar un paquete listo para usar en un sistema GNU/Linux, debería en su lugar utilizar un gestor de paquetes como yum(1) o apt-get(1).

En las tres primeras formas, copia ORIGEN a DESTINO o varios ORIGEN(es) al DIRECTORIO existente, mientras se establecen los permisos y el propietario/grupo. En la cuarta forma, crea todos los componentes del/de los DIRECTORIO(s) dado(s).

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--backup[=CONTROL]
    crea una copia de seguridad de cada archivo de destino que ya exista

-b  como --backup pero no acepta ningún argumento

-c  (no tiene efecto)

-C, --compare
    compara cada pareja de archivos origen y destino. Si no existen modificaciones en su contenido, propietario o en sus permisos, no se modifica el destino en absoluto

-d, --directory
    trata todos los argumentos como nombres de directorios; crea todos los componentes de los directorios especificados

-D  crea todos los componentes iniciales de DESTINO excepto el último, o todos los componentes de --target-directory y entonces copia ORIGEN a DESTINO

-g, --group=GRUPO
    establece la propiedad de grupo, en lugar del grupo actual del proceso

-m, --mode=MODO
    establece los permisos (como en chmod), en lugar de rwxr-xr-x

-o, --owner=PROPIETARIO
    establece la propiedad (solo superusuario)

-p, --preserve-timestamps
    aplica las fechas de acceso/modificación de los ficheros ORIGEN a los ficheros de destino correspondientes

-s, --strip
    elimina las tablas de símbolos

--strip-program=PROGRAMA
    aplicación usada para eliminar las tablas de símbolos de los binarios

-S, --suffix=SUFIJO
    reemplaza el sufijo de respaldo habitual

-t, --target-directory=DIRECTORIO
    copia todos los argumentos ORIGEN al DIRECTORIO

-T, --no-target-directory
    trata DESTINO como archivo normal

-v, --verbose
    muestra el nombre de cada directorio conforme se van creando

--preserve-context
    conserva el contexto de seguridad de SELinux

-Z  establece el contexto de seguridad SELinux del fichero de destino y de todos los directorios creados, al tipo predeterminado

--context[=CTX]
    como -Z, o si se especifica CTX entonces establece el contexto de seguridad SELinux o SMACK a CTX

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

El sufijo de respaldo es '~', a menos que se establezca con --suffix o con SIMPLE_BACKUP_SUFFIX. El método de control de versión se puede seleccionar con la opción --backup o a través de la variable de entorno VERSION_CONTROL. Estos son los valores:

none, off
    nunca realiza copias de seguridad (incluso si se da la opción --backup)

numbered, t
    crea copias de seguridad numeradas

existing, nil
    numeradas si existen copias de seguridad numeradas, simples en caso contrario

simple, never
    siempre crea copias de seguridad simples

AUTOR
Escrito por David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/install>
también en su equipo ejecutando: info '(coreutils) install invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.